/** Definitions for pad I/O **/

#include <stdint.h>

// Constants

#define MAX_LED		4
#define MAX_BUTTON	0

#define OUTPUT_PORTB	0x40
#define OUTPUT_PORTC	0x40
#define OUTPUT_PORTD	0x06

#define INPUT_PORTB	0x00
#define INPUT_PORTC	0x00
#define INPUT_PORTD	0x00

// Macros

#define LED_set(mask)		\
  { ledstate |= mask; outputs_set((ledstate&0x00ff0000)>>16,(ledstate&0x0000ff00)>>8,(ledstate&0x000000ff)); }
#define LED_unset(mask)		\
  { ledstate &= ~mask; outputs_set((ledstate&0x00ff0000)>>16,(ledstate&0x0000ff00)>>8,(ledstate&0x000000ff)); }
#define LED_toggle(mask)	\
  { ledstate ^= mask; outputs_set((ledstate&0x00ff0000)>>16,(ledstate&0x0000ff00)>>8,(ledstate&0x000000ff)); }

// Global variables

extern uint32_t leds[MAX_LED];
extern uint32_t ledstate;
extern uint32_t buttons[MAX_BUTTON];
